<template>
  <div class="intro-section">
    <div class="container">
      <h1>{{ title }}</h1>

      <AppImg
        :src="
          $mq === 'mobile' ? overview_arrow_mobile_image : overview_arrow_image
        "
        class="arrow"
      />
    </div>
  </div>
</template>

<script>
export default {
  props: {
    title: {
      type: String,
      default: "Title",
    },
  },
  data() {
    return {
      overview_arrow_image: require("~/assets/images/overview_arrow.svg"),
      overview_arrow_mobile_image: require("~/assets/images/overview_arrow_mobile.svg"),
    };
  },
};
</script>

<style lang="scss" scoped>
.intro-section {
  padding: 40px 0;
  @include media-breakpoint(mobile) {
    padding: 24px 0;
  }
  h1 {
    text-align: right;
  }
  .arrow {
    width: 100%;
    margin-top: 40px;
    @include media-breakpoint(mobile) {
      margin-top: 24px;
    }
  }
}
</style>
